package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author songxl
 * @since 2021-05-11
 */
@TableName("med_check_work")
@Data
public class MedCheckWork implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 病历号
     */
    private String behospitalCode;

    /**
     * 创建者
     */
    private String creator;

    /**
     * 修改者
     */
    private String modifier;

    /**
     * 核查用户
     */
    private String checkUser;

    /**
     * 创建时间
     */
    private Date gmtCreate;

    /**
     * 修改时间
     */
    private Date gmtModified;

    /**
     * 核查时间
     */
    private Date checkTime;

    /**
     * 任务类型(0-科室任务 1-院级 2-质控科)
     */
    private String workType;

    /**
     * 分配状态(0-未分配 1-已分配)
     */
    private String distribution;

    /**
     * 核查状态(0-未核查 1-已核查)
     */
    private String checkStatus;

    /**
     * 是否删除
     */
    private String isDeleted;
    @Override
    public String toString() {
        return "MedCheckWork{" +
            "id=" + id +
            ", hospitalId=" + hospitalId +
            ", behospitalCode=" + behospitalCode +
            ", creator=" + creator +
            ", modifier=" + modifier +
            ", checkUser=" + checkUser +
            ", gmtCreate=" + gmtCreate +
            ", gmtModified=" + gmtModified +
            ", checkTime=" + checkTime +
            ", workType=" + workType +
            ", distribution=" + distribution +
            ", checkStatus=" + checkStatus +
            ", isDeleted=" + isDeleted +
        "}";
    }
}
