package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.CheckDeptDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.MedCheckInfoFacade;
import com.diagbot.vo.MedCheckInfoAddVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 核查表 前端控制器
 * </p>
 *
 * @author wangfeng
 * @since 2020-07-06
 */
@RestController
@RequestMapping("/qc/medCheckInfo")
@Api(value = "核查病历数据模块相关接口API", tags = { "核查病历数据模块相关接口API" })
@SuppressWarnings("unchecked")
public class MedCheckInfoController {

    @Autowired
    MedCheckInfoFacade medCheckInfoFacade;

    @ApiOperation(value = "核查数据接口[by:wangfeng]",
            notes = "核查数据接口")
    @PostMapping("/addMedCheckInfo")
    @SysLogger("addMedCheckInfo")
    public RespDTO<Boolean> addMedCheckInfo(@RequestBody MedCheckInfoAddVO medCheckInfoAddVO) {
        Boolean res = medCheckInfoFacade.addMedCheckInfos(medCheckInfoAddVO);
        return RespDTO.onSuc(res);
    }



    @ApiOperation(value = "获取核查人员列表[by:songxl]",
            notes = "获取核查人员列表")
    @PostMapping("/getCheckUserMap")
    @SysLogger("getCheckUserMap")
    public RespDTO<Map<String, List<CheckDeptDTO>>> getCheckUserMap() {
        Map<String, List<CheckDeptDTO>> userInfoMap = medCheckInfoFacade.getCheckUserMap();
        return RespDTO.onSuc(userInfoMap);
    }
}
