package com.diagbot.web;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.CheckWorkDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.MedCheckWorkFacade;
import com.diagbot.vo.CheckWorkPageVO;
import com.diagbot.vo.MedCheckWorkAddVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;

/**
 * <p>
 *  核查前端控制器
 * </p>
 *
 * @author songxl
 * @since 2021-05-11
 */
@RestController
@RequestMapping("/check")
@Api(value = "核查任务数据模块相关接口API", tags = { "核查任务数据模块相关接口API" })
public class MedCheckWorkController {
    @Autowired
    MedCheckWorkFacade medCheckworkFacade;

    @ApiOperation(value = "生成核查任务[by:songxl]",
            notes = "生成核查任务")
    @PostMapping("/addCheck")
    @SysLogger("addCheck")
    public RespDTO<Boolean> addMedCheckInfo(@RequestBody ArrayList<MedCheckWorkAddVO> medCheckWorkVOList) {
        Boolean res = medCheckworkFacade.addCheck(medCheckWorkVOList);
        return RespDTO.onSuc(res);
    }

    @ApiOperation(value = "核查任务列表[by:wangsy]",
            notes = "startDate：出院开始时间<br>" +
                    "endDate：出院结束时间<br>" +
                    "creatStatus：生成状态<br>" +
                    "hospitalId: 医院ID<br>" +
                    "behospitalCode：病人住院序号<br>" +
                    "department：科室<br>" +
                    "level：病历等级<br>" +
                    "name：病人姓名<br>" +
                    "doctorName：医生姓名<br>" +
                    "diagnosis：主诊断<br>" +
                    "sDay：最小天数<br>" +
                    "lDay：最大天数<br>" +
                    "isPlacefile：是否归档<br>")
    @PostMapping("/getUserList")
    @SysLogger("getUserList")
    public RespDTO<IPage<CheckWorkDTO>> checkWorkPage(@RequestBody CheckWorkPageVO checkWorkPageVO) {
        IPage<CheckWorkDTO> data = medCheckworkFacade.pageFac(checkWorkPageVO);
        return RespDTO.onSuc(data);
    }
}
